<?php

namespace App\Controllers;

use App\Models\UserModel;

class Auth extends BaseController
{
    public function login()
    {
        if ($this->request->getMethod() === 'post') {
            $rules = [
                'username' => 'required',
                'password' => 'required|min_length[8]',
            ];

            if ($this->validate($rules)) {
                $model = new UserModel();
                $user = $model->where('username', $this->request->getVar('username'))
                              ->first();

                if ($user && password_verify($this->request->getVar('password'), $user['password'])) {
                    $this->setUserSession($user);
                    return redirect()->to('/dashboard');
                } else {
                    return redirect()->back()->withInput()->with('error', 'Invalid login credentials');
                }
            } else {
                return redirect()->back()->withInput()->with('errors', $this->validator->getErrors());
            }
        }

        return view('auth/login');
    }


    private function setUserSession($user)
{
    $data = [
        'user_id' => $user['id'],
        'username' => $user['username'],
        'role' => $user['role'],
        'isLoggedIn' => true,
    ];

    session()->set($data);
    return true;
}

    public function logout()
    {
        session()->destroy();
        return redirect()->to('/login');
    }
}