<?php

namespace App\Models;

use CodeIgniter\Model;

class FlightModel extends Model
{
    protected $table = 'flights';
    protected $primaryKey = 'id';
    protected $allowedFields = ['flight_number', 'departure_city', 'arrival_city', 'departure_time', 'arrival_time'];
    protected $useTimestamps = true;
    protected $createdField = 'created_at';
    protected $updatedField = 'updated_at';

    protected $validationRules = [
        'flight_number' => 'required|min_length[2]|max_length[20]',
        'departure_city' => 'required|min_length[2]|max_length[100]',
        'arrival_city' => 'required|min_length[2]|max_length[100]',
        'departure_time' => 'required|valid_date[Y-m-d H:i:s]',
        'arrival_time' => 'required|valid_date[Y-m-d H:i:s]',
    ];
}