<?php namespace App\Models;

use CodeIgniter\Model;

class RtqLogModel extends Model
{
    protected $table = 'rtq_logs';
    protected $primaryKey = 'id';
    protected $allowedFields = ['rtq_id', 'user_id', 'activity'];
    protected $useTimestamps = true;
    protected $createdField  = 'created_at';
    protected $updatedField  = '';

    public function getLogsWithUserInfo($rtqId)
    {
        return $this->select('rtq_logs.*, users.username')
                    ->join('users', 'users.id = rtq_logs.user_id')
                    ->where('rtq_id', $rtqId)
                    ->orderBy('rtq_logs.created_at', 'DESC')
                    ->findAll();
    }
}