<!DOCTYPE html>
<html lang="en">
<head>
    <!-- ... other meta tags and title ... -->

    <!-- AdminLTE style -->
    <link rel="stylesheet" href="<?= base_url('adminlte/dist/css/adminlte.min.css') ?>">
    
    <!-- Select2 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/@ttskch/select2-bootstrap4-theme@x.x.x/dist/select2-bootstrap4.min.css" rel="stylesheet">
    
    <!-- jQuery -->
    <script src="<?= base_url('adminlte/plugins/jquery/jquery.min.js') ?>"></script>
    
    <!-- Bootstrap 4 -->
    <script src="<?= base_url('adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js') ?>"></script>
    <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" />
	<script src="//cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js" defer></script>
    <!-- Select2 JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.8/js/select2.min.js" defer></script>
    
    <!-- AdminLTE App -->
    <script src="<?= base_url('adminlte/dist/js/adminlte.min.js') ?>"></script>
  	<?= $this->renderSection('styles') ?>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
                <i class="far fa-user"></i>
                <?= session()->get('username') ?>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <span class="dropdown-item dropdown-header">Logged in as <?= session()->get('role') ?></span>
                <div class="dropdown-divider"></div>
                <a href="<?= base_url('logout') ?>" class="dropdown-item">
                    <i class="fas fa-sign-out-alt mr-2">Logout</i> 
                </a>
            </div>
        </li>
    </ul>
</nav>


    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="/public/" class="brand-link">
            <span class="brand-text font-weight-light">Hotel Reservation</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                    <li class="nav-item">
                        <a href="/public/dashboard" class="nav-link">
                            <i class="nav-icon fas fa-tachometer-alt"></i>
                            <p>Dashboard</p>
                        </a>
                    </li>
                    <li class="nav-item">
    						<a href="/public/requests/new" class="nav-link">
        					<i class="nav-icon fas fa-plus-circle"></i>
        					<p>Submit New Request</p>
    					</a>
					</li>
                    <li class="nav-item">
                        <a href="<?= base_url('requests') ?>" class="nav-link">
                            <i class="nav-icon fas fa-list"></i>
                            <p>All Requests</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="/public/invoices" class="nav-link">
                            <i class="nav-icon fas fa-file-invoice-dollar"></i>
                            <p>Invoices</p>
                        </a>
                    </li>
                    <?php if (in_array(session()->get('role'), ['admin', 'agent'])): ?>
                	<li class="nav-item">
                    <a href="<?= base_url('city-management') ?>" class="nav-link">
                        <i class="nav-icon fas fa-city"></i>
                        <p>City Management</p>
                    	</a>
                		</li>
                  	<li class="nav-item">
                    <a href="<?= base_url('flight-management') ?>" class="nav-link">
                        <i class="nav-icon fas fa-city"></i>
                        <p>Flight Management</p>
                    	</a>
                		</li>
                		<li class="nav-item">
                    <a href="<?= base_url('hotel-management') ?>" class="nav-link">
                        <i class="nav-icon fas fa-hotel"></i>
                        <p>Hotel Management</p>
                    </a>
                		</li>
                		<li class="nav-item">
                    <a href="<?= base_url('room-management') ?>" class="nav-link">
                        <i class="nav-icon fas fa-door-open"></i>
                        <p>Room Management</p>
                    </a>
                		</li>
                  	<li class="nav-item">
                    <a href="<?= base_url('user-management') ?>" class="nav-link">
                        <i class="nav-icon fas fa-door-open"></i>
                        <p>User Management</p>
                    </a>
                		</li>
                  	
                  	<li class="nav-item">
                        <a href="<?= base_url('rtq') ?>" class="nav-link">
                            <i class="nav-icon fas fa-concierge-bell"></i>
                            <p>Request to Hotel</p>
                        </a>
                    </li>
                  	
            		<?php endif; ?>
                    
                    <li class="nav-item">
                        <a href="/public/settings" class="nav-link">
                            <i class="nav-icon fas fa-cogs"></i>
                            <p>Settings</p>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0"><?= $this->renderSection('page_title') ?></h1>
                    </div>
                </div>
            </div>
        </div>

        <!-- Main content -->
        <div class="content">
            <div class="container-fluid">
                <?= $this->renderSection('content') ?>
            </div>
        </div>
    </div>

    <!-- Main Footer -->
    <footer class="main-footer">
        <strong>Copyright &copy; 2024 Hotel Reservation System.</strong> All rights reserved.
    </footer>
</div>

<?= $this->renderSection('scripts') ?>
</body>
</html>