<?= $this->extend('layout/dashboard') ?>

<?= $this->section('content') ?>

<div class="container">
    <h2>Edit User</h2>
    <form action="<?= base_url('user-management/edit/' . $user['id']) ?>" method="post">
        <?= csrf_field() ?>
        
        <div class="form-group">
            <label for="username">Username</label>
            <input type="text" class="form-control" id="username" name="username" value="<?= old('username', $user['username']) ?>" required>
        </div>
        
        <div class="form-group">
            <label for="email">Email</label>
            <input type="email" class="form-control" id="email" name="email" value="<?= old('email', $user['email']) ?>" required>
        </div>
        
        <div class="form-group">
            <label for="password">Password (leave blank to keep current password)</label>
            <input type="password" class="form-control" id="password" name="password">
        </div>
        
        <div class="form-group">
            <label for="role">Role</label>
            <select class="form-control" id="role" name="role" required>
                <option value="user" <?= old('role', $user['role']) == 'user' ? 'selected' : '' ?>>User</option>
                <option value="agent" <?= old('role', $user['role']) == 'agent' ? 'selected' : '' ?>>Agent</option>
                <option value="admin" <?= old('role', $user['role']) == 'admin' ? 'selected' : '' ?>>Admin</option>
            </select>
        </div>
        
        <button type="submit" class="btn btn-primary">Update User</button>
        <a href="<?= base_url('user-management') ?>" class="btn btn-secondary">Cancel</a>
    </form>
    
    <?php if (isset($validation)): ?>
    <div class="alert alert-danger mt-3">
        <?= $validation->listErrors() ?>
    </div>
    <?php endif; ?>
</div>

<?= $this->endSection() ?>